# Copyright (C) 2013, 2014 Freescale Semiconductor

DESCRIPTION = "U-Boot i.MX6 SMARC-FiMX6 platforms"
require  recipes-bsp/u-boot/u-boot.inc

PROVIDES += "u-boot"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/README;md5=025bf9f768cbcb1a165dbe1a110babfb"

PROVIDES += "u-boot"
PV = "2014.04-smarcfimx6"

SRCREV = "0a785d9496673494c18b28f95552880dec4462bb"
SRCBRANCH = "smarc-imx_v2014.04_3.14.28_1.0.0_ga"
# eMMC Boot Up
#SRCREV = "d9c7fa6548b1bb361e19d5d358130b877e9c374a"
#SRCBRANCH = "smarc-emmc-imx_v2014.04_3.14.28_1.0.0_ga"
SRC_URI = "${EMB_UBOOT_MIRROR};protocol=ssh;branch=${SRCBRANCH}"

PR = "r0+gitr${SRCPV}"

S = "${WORKDIR}/git"

PACKAGE_ARCH = "${MACHINE_ARCH}"
COMPATIBLE_MACHINE = "(mx6)"

